• Hi guys, I use your plugin a lot and I love it.

    Recently one of my other plugins (SEO Framework) got updated to PHP 8.1. Being still on a previous release on my website, I’ve got several critical errors about it. So I updated it to 8.1 and it solved the issue.

    However, on 8.1 Modern Footnotes stopped to work. I can see the notes numbers but without styling and clicking on them nothing works.

    Are you planning to make MF compatible with PHP 8.* in a near future?

    Thanks and have a nice day.

    The page I need help with: [log in to see the link]

Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author prismtechstudios

    (@prismtechstudios)

    Hello @locksoft, the plugin should be compatible with PHP 8.x. I just confirmed on another site using PHP 8.2 and it works when I just tested at https://www.lemonskin.net/io/23634/. Are you still seeing the issue on your end, and do you get a particular error message from WordPress?

    Thread Starter Lock

    (@locksoft)

    Hi prismtechstudios,

    If I configure my hosting PHP to use PHP 7.4:

    I get MF to work perfectly:

    But, setting it to 8.1 (o 8.2), waiting for a while and emptying the browser cache, I get this:

    There are not error messages of any sort, but the plugin simply doesn’t work. It’s not just a style issue, even clicking the link does nothing.

    I don’t know why or if it’s really the PHP version giving this problem, but it’s the only thing I’ve changed.

    • This reply was modified 5 months, 3 weeks ago by Lock.
    • This reply was modified 5 months, 3 weeks ago by Lock.
    • This reply was modified 5 months, 3 weeks ago by Lock.
    Thread Starter Lock

    (@locksoft)

    Edit: it worked when you tried it because I had to go back to PHP 7.4 (like now).

    P.S. Ah ah, please ignore the “good evenTing” in the test. 🙂

    • This reply was modified 5 months, 3 weeks ago by Lock.
    Plugin Author prismtechstudios

    (@prismtechstudios)

    @locksoft The behavior you’re describing would be due to a JavaScript error, and with those, an error in any plugin or theme will break every other plugin or theme. Could you follow the steps under Step 3: Diagnosis of Using Your Browser to Diagnose JavaScript Errors – Documentation – WordPress.org and take a screenshot of any error messages that you see? This will at least help diagnose if the problem is related to Modern Footnotes.

    Thread Starter Lock

    (@locksoft)

    Fair. I’ll do some testing. 🙂

    Thanks.

    Edit: You know what? I’ve set PHP to 8.1 and everything is perfectly working, even emptying the cache. In the meanwhile WP updated to 6.4.2, so I don’t know if it’s related, but now it’s all ok.

    The only JS error I get is about the wp-admin-bar, that I think I’ve hidden in WP settings as I don’t need it (and maybe WP still tries to invoke it), but it doesn’t seem to block anything:

    I think we can close this ticket. Many thanks for your help.

    Have a nice day. 🙂

    • This reply was modified 5 months, 2 weeks ago by Lock.
    Thread Starter Lock

    (@locksoft)

    UPDATE:

    No, after a while, the plugin stops working on PHP 8.x:

    Switching back to PHP 7.4 it starts working again.

    No track of Javascript errors in the console:

    Any idea?

    Plugin Author prismtechstudios

    (@prismtechstudios)

    @locksoft thanks for all that information. The only thought I have initially: do you use any page speed plugins? Sometimes those can combine the JavaScript files in the wrong order, which causes issues. If you do, you could try disabling the plugin when you see the issue, checking the site to see if it works, and then enabling the page speed plugin again after that.

    Thread Starter Lock

    (@locksoft)

    I don’t think I have any age speed plugins. These are the ones I have (since a long time and, so far, they didn’t give me any troubles):

    Some of them are disabled, because I don’t use them anymore and I’ll remove them soon.

Viewing 8 replies - 1 through 8 (of 8 total)
  • You must be logged in to reply to this topic.